=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_shlibdeps:
	dh_shlibdeps $(foreach p,$(shell dh_listpackages -a | grep -E ^lib.*[0-9]+$$),-p$p) -- -xlibkf5screen-bin
	dh_shlibdeps --remaining-packages

override_dh_auto_test:
	# Disable tests at build time
	:

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a
